umbrello: Uml::CmdCreateWidget Class Reference

umbrello 2.38.0 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
Uml::CmdCreateWidget Class Reference

`#include <cmdcreatewidget.h>`

Inheritance diagram for Uml::CmdCreateWidget:

## Public Member Functions
| CmdCreateWidget (UMLWidget *widget)
| CmdCreateWidget (AssociationWidget *widget)
| ~CmdCreateWidget ()
void | redo ()
void | undo ()
Public Member Functions inherited from Uml::CmdBaseWidgetCommand
| CmdBaseWidgetCommand (UMLWidget *widget)
| CmdBaseWidgetCommand (AssociationWidget *widget)
virtual | ~CmdBaseWidgetCommand ()

## Private Attributes
QDomElement | m_element

## Additional Inherited Members
Protected Member Functions inherited from Uml::CmdBaseWidgetCommand
void | setWidget (UMLWidget *widget)
void | setWidget (AssociationWidget *widget)
void | addWidgetToScene (UMLWidget *widget)
void | addWidgetToScene (AssociationWidget *widget)
void | removeWidgetFromScene (UMLWidget *widget)
void | removeWidgetFromScene (AssociationWidget *widget)
UMLWidget * | widget ()
AssociationWidget * | assocWidget ()
UMLScene * | scene ()
Protected Attributes inherited from Uml::CmdBaseWidgetCommand
Uml::ID::Type | m_sceneId
Uml::ID::Type | m_widgetId
QPointer< UMLScene > | m_scene
QPointer< UMLWidget > | m_widget
QPointer< AssociationWidget > | m_assocWidget
bool | m_isAssoc

## Constructor & Destructor Documentation

## ◆ CmdCreateWidget() [1/2]

Uml::CmdCreateWidget::CmdCreateWidget | ( | UMLWidget * | widget | ) |
| explicit

Constructor.

## ◆ CmdCreateWidget() [2/2]

Uml::CmdCreateWidget::CmdCreateWidget | ( | AssociationWidget * | widget | ) |

Constructor.

## ◆ ~CmdCreateWidget()

Uml::CmdCreateWidget::~CmdCreateWidget | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ redo()

void Uml::CmdCreateWidget::redo | ( |  | ) |

Create the widget

## ◆ undo()

void Uml::CmdCreateWidget::undo | ( |  | ) |

Remove the widget

## Member Data Documentation

## ◆ m_element

QDomElement Uml::CmdCreateWidget::m_element
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/widget/cmdcreatewidget.h
- umbrello/cmds/widget/cmdcreatewidget.cpp